Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlp.xip
Class XipProperties.XipProperty

    java.lang.Object
      com.bea.wlp.xip.XipProperties.XipProperty

Enclosing class:
  XipProperties

    public class XipProperties.XipProperty

extends Object

Constructor Summary
`XipProperties.XipProperty(String name)`
`XipProperties.XipProperty(String name, String defaultValue)`
`XipProperties.XipProperty(String name, String[] validValues)`
`XipProperties.XipProperty(String name, String defaultValue, String[] validValues)`

Method Summary
`String` | `getName()`
`String` | `getValue()`
`void` | `setValue(String value)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XipProperties.XipProperty

    public XipProperties.XipProperty(String name)

### XipProperties.XipProperty

    public XipProperties.XipProperty(String name,
                                     String defaultValue)

### XipProperties.XipProperty

    public XipProperties.XipProperty(String name,
                                     String defaultValue,
                                     String[] validValues)

### XipProperties.XipProperty

    public XipProperties.XipProperty(String name,
                                     String[] validValues)

Method Detail

### getName

    public String getName()

### getValue

    public String getValue()

### setValue

    public void setValue(String value)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.